Skip to main content
GET
curl

Authorizations

Authorization
string
header
required

An API key (sig_...), or a session token from the web app.

Path Parameters

agentId
string<uuid>
required

The agent's id.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f"

Query Parameters

limit
integer
default:25

Items per page, 1 to 100.

Required range: 1 <= x <= 100
Example:

25

cursor
string

nextCursor from the previous page.

Minimum string length: 1
matched
enum<string>

true: only calls matched to a test. false: only calls that matched none.

Available options:
true,
false
testId
string<uuid>

Only calls matched to this test.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"3f1c2d4e-5a6b-4c7d-8e9f-0a1b2c3d4e5f"

Response

The matches.

object
enum<string>
required
Available options:
list
data
object[]
required
hasMore
boolean
required
nextCursor
string | null
required

Pass as cursor for the next page; null on the last page.